ReferenceAPI
Report an environment observation
POST
/v1/sessions/{session_id}/environments/{environment}/{sequence}/eventsAuthorization
reporterToken AuthorizationBearer <token>
The reporter token Brain supplies to an Environment instance, sent as Authorization: Bearer . Scoped to the session, environment name and incarnation sequence in the URL.
In: header
Path Parameters
session_id*string
Match
^ses_[A-Za-z0-9]{20,32}$environment*string
Match
^[A-Za-z0-9][A-Za-z0-9._:-]{0,127}$sequence*integer
Format
int64Range
0 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/sessions/string/environments/string/0/events" \ -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "data": true, "event_type": "string", "type": "event" }'{ "sequence": 1}